Subject: Re: [PATCH v3 3/5] doc: remove unnecessary rm instances

From: Felipe Contreras <[email-masked]>
Date: Mon, 24 May 2021 13:40:32 -0500

Junio C Hamano wrote:
> Felipe Contreras <[email-masked]> writes:
> 
> > Commits 50cff52f1a (When generating manpages, delete outdated targets
> > first., 2007-08-02) and f9286765b2 (Documentation/Makefile: remove
> > cmd-list.made before redirecting to it., 2007-08-06) created these rm
> > instances for a very rare corner-case: building as root by mistake.
> >
> > It's odd to have workarounds here, but nowhere else in the Makefile--
> > which already fails in this stuation, starting from
> > Documentation/technical/.
> >
> > We gain nothing but complexity, so let's remove them.
> >
> > Comments-by: Jeff King <[email-masked]>
> 
> This is curious.  I understand what other kinds of trailers like
> Helped-by and Suggested-by people sometimes use mean, but this one
> does not tell anything other than that this person had some comments
> on an earlier rounds, does not tell us what kind of comments they
> were and if something was done to address those comments or the
> comments were totally ignored or what.

If they were ignored they would not be part of the commit. It is
understood the comments were incorporated.

When you see 'Tested-by' do you wonder what was the result of the test?
I presume most people would understand that the test succeeded, and
that's why the trailer line was added.

I happen to have at hand a script that ranks the most common trailer
lines:

 * acked-by: 25% (1945)

Doesn't apply.

 * reviewed-by: 22% (1729)

This does apply, but I'm not confident Jeff would like me to add that.

 * helped-by: 17% (1336)
 * reported-by: 12% (960)
 * mentored-by: 5% (379)
 * suggested-by: 4% (281)
 * cc: 3% (222)
 * noticed-by: 2% (165)
 * tested-by: 2% (153)
 * improved-by: 1% (88)
 * thanks-to: 1% (65)
 * signed-off-by: 1% (50)
 * based-on-patch-by: 1% (50)
 * contributions-by: 1% (43)
 * co-authored-by: 1% (41)

I don't think any of these apply.

Cheers.

-- 
Felipe Contreras